Bug 175284 - Web Inspector: allow recordings to be saved via ⌘-S in the Recording tab
Summary: Web Inspector: allow recordings to be saved via ⌘-S in the Recording tab
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 174484
Blocks: WebInspectorCanvasRecording
  Show dependency treegraph
 
Reported: 2017-08-07 13:23 PDT by Devin Rousso
Modified: 2017-09-13 19:32 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.65 KB, patch)
2017-08-07 14:03 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (3.03 KB, patch)
2017-08-21 22:03 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2017-08-07 13:23:04 PDT
.
Comment 1 Devin Rousso 2017-08-07 14:03:50 PDT
Created attachment 317461 [details]
Patch
Comment 2 Matt Baker 2017-08-11 20:07:52 PDT
Comment on attachment 317461 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317461&action=review

r-, since this duplicates code in RecordingNavigationSidebarPanel. The sidebar should probably be using the new `saveData()` getter.

> Source/WebInspectorUI/UserInterface/Views/RecordingContentView.js:99
> +            forceSaveAs: true,

What are your thoughts on versioning?
Comment 3 Devin Rousso 2017-08-17 19:11:57 PDT
(In reply to Matt Baker from comment #2)
> Comment on attachment 317461 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=317461&action=review
> 
> r-, since this duplicates code in RecordingNavigationSidebarPanel. The
> sidebar should probably be using the new `saveData()` getter.
> 
> > Source/WebInspectorUI/UserInterface/Views/RecordingContentView.js:99
> > +            forceSaveAs: true,
> 
> What are your thoughts on versioning?
We already have a version in the Recording protocol.  I'm not sure what you mean otherwise.
Comment 4 Devin Rousso 2017-08-21 22:03:42 PDT
Created attachment 318736 [details]
Patch
Comment 5 Radar WebKit Bug Importer 2017-08-23 12:11:53 PDT
<rdar://problem/34040758>
Comment 6 Matt Baker 2017-09-13 17:02:53 PDT
Comment on attachment 318736 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2017-09-13 17:32:07 PDT
Comment on attachment 318736 [details]
Patch

Clearing flags on attachment: 318736

Committed r222003: <http://trac.webkit.org/changeset/222003>
Comment 8 WebKit Commit Bot 2017-09-13 17:32:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Joseph Pecoraro 2017-09-13 19:32:18 PDT
Comment on attachment 318736 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=318736&action=review

> Source/WebInspectorUI/UserInterface/Views/RecordingNavigationSidebarPanel.js:171
> +        WI.saveDataToFile(this.contentBrowser.currentContentView.saveData, forceSaveAs);

The saveData already has `forceSaveAs: true`. I suppose its fine to be explicit here, but this means that no matter what ContentView eventually shows up in the Recording tab will always be a forceSaveAs even if the ContentView logically can re-save. I don't think that ever be likely to happen though.